%define name		libshout
%define version		2.0
%define release		5mdk
%define lib_name_orig	%{name}
%define lib_major	3
%define lib_name	%mklibname shout %{lib_major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A library for communicating with and sending data to an icecast server.
Group:		System/Libraries
URL:		http://www.icecast.org/projects/libshout/
Source:		http://www.icecast.org/files/libshout/%{name}-%{version}.tar.bz2
# (gb) this applies to aclocal.m4, don't bother with extra aclocal-1.6
Patch0:		libshout-2.0-lib64.patch.bz2
License:	LGPL
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel

%description
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.

With just a few lines of code, a programmer can easily turn any
application into a streaming source for an icecast server.  Libshout also
allows developers who want a specific feature set (database access,
request taking) to concentrate on that feature set, instead of worrying
about how server communication works.

Please refer to the api reference and example code to start learning how
to use libshout in your own code.

Libshout is licensed under the LGPL.  Please see the COPYING file for 
details.

If you have any questions or comments, please visit us at 
http://www.icecast.org or email us at team@icecast.org.

%package -n %{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch0 -p1 -b .lib64
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove installed doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/shout.pc
%{_datadir}/aclocal/shout.m4

%changelog
* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-5mdk
- use mklibname, remove duplicated/extraneous provides, lib64 fixes

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-4mdk 
- rpmbuildupdate aware

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0-3mdk
- used %%makeinstall_std to install headers correctly
- no more shout-config binary

* Wed Jul 16 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0-2mdk
- fixed header location

* Tue Jul 15 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0-1mdk
- first contrib package
